Page MenuHomePhabricator

cloudvps: deployment-prep project trusty deprecation
Closed, ResolvedPublic

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the deployment-prep project needs to upgrade as soon as possible.

The list of affected VMs is:

  • deployment-zotero01.deployment-prep.eqiad.wmflabs

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/deployment-prep

Event Timeline

Krenair triaged this task as Normal priority.Sep 17 2018, 12:13 PM
Krenair created this task.
Krenair added a comment.EditedSep 17 2018, 12:15 PM

I already did a lot of the work for this, for the remaining one (deployment-zotero01) see https://phabricator.wikimedia.org/T197242#4494011

Hey @mobrovac @Mvolz! Just a friendly reminder that you should get rid of your Trusty instances as described in https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects. The deadline is 2018-12-18. Please get in contact if you need help.

The only Trusty instance is in SHUTOFF state. Deadline is approaching (2018-12-18). Shall we just delete the instance?

The only Trusty instance is in SHUTOFF state. Deadline is approaching (2018-12-18). Shall we just delete the instance?

I think that's just mid-migration to eqiad1-r.

Mvolz added a comment.Nov 20 2018, 1:47 PM

The only Trusty instance is in SHUTOFF state. Deadline is approaching (2018-12-18). Shall we just delete the instance?

It should still be operating. T201611 and T197242 needs to be completed before deleting.

Today is Friday and the deadline for this is Tuesday. Given https://gerrit.wikimedia.org/r/#/c/mediawiki/services/citoid/deploy/+/478027/ I will power off this server now.

Mentioned in SAL (#wikimedia-releng) [2018-12-14T16:19:58Z] <Krenair> T204500 Powering off the remaining trusty and main deployment instance, deployment-zotero01, which is no longer in use anyway

It seems the Trusty image have been powered off for a week already. If not needed anymore, please delete it and close this phab task. Thanks!

It seems the Trusty image have been powered off for a week already. If not needed anymore, please delete it and close this phab task. Thanks!

I normally leave shutoff instances for a week before deleting. Therefore this has a few hours left.

Krenair closed this task as Resolved.Dec 22 2018, 12:34 AM
Krenair claimed this task.